Page MenuHomePhabricator

Modularize HarbormasterBuildTransaction
ClosedPublic

Authored by epriestley on Jul 15 2021, 9:05 PM.
Tags
None
Referenced Files
F11519611: D21689.diff
Thu, Feb 2, 9:20 AM
Unknown Object (File)
Sat, Jan 28, 4:41 PM
Unknown Object (File)
Tue, Jan 24, 2:59 PM
Unknown Object (File)
Sat, Jan 21, 4:44 PM
Unknown Object (File)
Thu, Jan 19, 12:44 PM
Unknown Object (File)
Sun, Jan 8, 7:05 PM
Unknown Object (File)
Wed, Jan 4, 8:07 PM
Unknown Object (File)
Jan 3 2023, 8:23 PM
Subscribers
Restricted Owners Package

Details

Summary

Ref T13072. Update "HarbormasterBuild" to use modern modular transactions.

Test Plan
  • Aborted, restarted, paused, and resumed a build.
  • Used bin/harbormaster restart.
  • Grepped for use of old "::TYPE_COMMAND" constant, didn't find any hits.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Owners added a subscriber: Restricted Owners Package.Jul 15 2021, 9:05 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 21 2021, 9:17 PM
This revision was automatically updated to reflect the committed changes.